Searched refs:RUSTC (Results 1 – 8 of 8) sorted by relevance
66 if ! command -v "$RUSTC" >/dev/null; then68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."85 LC_ALL=C "$RUSTC" --version 2>/dev/null89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"114 echo >&2 "*** Rust compiler '$RUSTC' is too old."270 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
68 rustc-version := $(shell,$(srctree)/scripts/rustc-version.sh $(RUSTC))69 rustc-llvm-version := $(shell,$(srctree)/scripts/rustc-llvm-version.sh $(RUSTC))77 rustc-option = $(success,trap "rm -rf .tmp_$$" EXIT; mkdir .tmp_$$; $(RUSTC) $(1) --crate-type=rlib…
88 rustc-option = $(call __rustc-option, $(RUSTC),\
41 libmacros_name := $(shell MAKEFLAGS= $(RUSTC) --print file-names --crate-name macros --crate-type p…44 libpin_init_internal_name := $(shell MAKEFLAGS= $(RUSTC) --print file-names --crate-name pin_init_i…50 rustc_sysroot := $(shell MAKEFLAGS= $(RUSTC) $(rust_flags) --print sysroot)51 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)
74 在编译内置代码时,传递给 $(RUSTC) 的额外选项。78 用于 $(RUSTC) 的额外模块特定选项。
519 RUSTC = rustc macro605 RUSTC_OR_CLIPPY_QUIET := RUSTC606 RUSTC_OR_CLIPPY = $(RUSTC)616 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN703 RUSTC_VERSION_TEXT = $(subst $(pound),,$(shell $(RUSTC) --version 2>/dev/null))
71 Additional options for $(RUSTC) when used to compile76 Additional module specific options to use for $(RUSTC).
670 $(RUSTC) support functions1183 $(RUSTC) compiler flags1223 $(RUSTC) options specific for built-in1229 Options for $(RUSTC) when building modules1232 are used for $(RUSTC).